/**
 * @copyright   2016-2018, Miles Johnson
 * @license     https://opensource.org/licenses/MIT
 */
import React from 'react';
import PropTypes from 'prop-types';
import { Attributes } from './types';
export interface ElementProps {
    [prop: string]: any;
    attributes?: Attributes;
    children?: React.ReactNode;
    selfClose?: boolean;
    tagName: string;
}
export default class Element extends React.PureComponent<ElementProps> {
    static propTypes: {
        attributes: PropTypes.Requireable<{
            [x: string]: string | number | boolean | null;
        }>;
        children: PropTypes.Requireable<React.ReactNode>;
        selfClose: PropTypes.Requireable<boolean>;
        tagName: PropTypes.Validator<string>;
    };
    static defaultProps: {
        attributes: {};
        children: null;
        selfClose: boolean;
    };
    render(): JSX.Element;
}
